Groups
Member groups.
On this page
- getList groups/api/v1/groups
- postCreate group/api/v1/groups
- deleteDelete group/api/v1/groups/{groupId}
- patchUpdate group/api/v1/groups/{groupId}
- getList group members/api/v1/groups/{groupId}/members
- postAdd group member/api/v1/groups/{groupId}/members
- deleteRemove group member/api/v1/groups/{groupId}/members/{membershipId}
List groups
Lists permission groups defined for the tenant.
Technical details
Exact HTTP method and path your client calls
/api/v1/groupsResponses
List of groups
| Field | Type | Description |
|---|---|---|
| Group[] | ||
| object |
[
{
"id": "string",
"tenantId": "string",
"name": "string",
"description": "string",
"createdAt": "2026-01-01T00:00:00.000Z"
}
]Errors return the standard envelope. See error reference.
Code samples
curl --request GET \
--url 'https://api.not24get.me/api/v1/groups' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>'Try it
Create group
Creates a new permission group with an optional description.
Technical details
Exact HTTP method and path your client calls
/api/v1/groupsRequest body
| Field | Type | Description |
|---|---|---|
| namerequired | string | |
| description | string |
Responses
Group created
| Field | Type | Description |
|---|---|---|
| id | string | |
| tenantId | string | |
| name | string | |
| description | string | |
| createdAt | string<date-time> · date-time |
{
"id": "string",
"tenantId": "string",
"name": "string",
"description": "string",
"createdAt": "2026-01-01T00:00:00.000Z"
}Errors return the standard envelope. See error reference.
Code samples
curl --request POST \
--url 'https://api.not24get.me/api/v1/groups' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>' \
--data '{
"name": "string",
"description": "string"
}'Try it
Delete group
Deletes a group when it is no longer referenced. Returns no body on success.
Technical details
Exact HTTP method and path your client calls
/api/v1/groups/{groupId}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| groupId | string | required |
Responses
No Content
| Field | Type | Description |
|---|---|---|
| (value) | EmptyResponsePart |
nullErrors return the standard envelope. See error reference.
Code samples
curl --request DELETE \
--url 'https://api.not24get.me/api/v1/groups/%3AgroupId' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>'Try it
Update group
Updates group name or description.
Technical details
Exact HTTP method and path your client calls
/api/v1/groups/{groupId}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| groupId | string | required |
Request body
| Field | Type | Description |
|---|---|---|
| name | string | |
| description | string |
Responses
Group updated
| Field | Type | Description |
|---|---|---|
| id | string | |
| tenantId | string | |
| name | string | |
| description | string | |
| createdAt | string<date-time> · date-time |
{
"id": "string",
"tenantId": "string",
"name": "string",
"description": "string",
"createdAt": "2026-01-01T00:00:00.000Z"
}Errors return the standard envelope. See error reference.
Code samples
curl --request PATCH \
--url 'https://api.not24get.me/api/v1/groups/%3AgroupId' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>' \
--data '{
"name": "string",
"description": "string"
}'Try it
List group members
Lists accounts assigned to the group.
Technical details
Exact HTTP method and path your client calls
/api/v1/groups/{groupId}/membersPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| groupId | string | required |
Responses
Group members
| Field | Type | Description |
|---|---|---|
| GroupMembership[] | ||
| object |
[
{
"id": "string",
"tenantId": "string",
"groupId": "string",
"accountId": "string",
"createdAt": "2026-01-01T00:00:00.000Z"
}
]Errors return the standard envelope. See error reference.
Code samples
curl --request GET \
--url 'https://api.not24get.me/api/v1/groups/%3AgroupId/members' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>'Try it
Add group member
Adds an account to the group.
Technical details
Exact HTTP method and path your client calls
/api/v1/groups/{groupId}/membersPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| groupId | string | required |
Request body
| Field | Type | Description |
|---|---|---|
| accountIdrequired | string |
Responses
Member added
| Field | Type | Description |
|---|---|---|
| id | string | |
| tenantId | string | |
| groupId | string | |
| accountId | string | |
| createdAt | string<date-time> · date-time |
{
"id": "string",
"tenantId": "string",
"groupId": "string",
"accountId": "string",
"createdAt": "2026-01-01T00:00:00.000Z"
}Errors return the standard envelope. See error reference.
Code samples
curl --request POST \
--url 'https://api.not24get.me/api/v1/groups/%3AgroupId/members' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>' \
--data '{
"accountId": "string"
}'Try it
Remove group member
Removes a membership row from the group. Returns no body on success.
Technical details
Exact HTTP method and path your client calls
/api/v1/groups/{groupId}/members/{membershipId}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| groupId | string | required | |
| membershipId | string | required |
Responses
No Content
| Field | Type | Description |
|---|---|---|
| (value) | EmptyResponsePart |
nullErrors return the standard envelope. See error reference.
Code samples
curl --request DELETE \
--url 'https://api.not24get.me/api/v1/groups/%3AgroupId/members/%3AmembershipId' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-ID: <workspace-id>'